from fastapi import FastAPI
from sift_dev_logger.fastapi import instrument_logging_middleware
from sift_dev_logger.config import SiftDevConfig, configure

config = SiftDevConfig(
    service_name="fastapi-app",
    service_instance_id="fastapi-app-1",
    otlp_endpoint="http://88d1ef6c-3709-48b9-9441-399b323050f8.app.trysift.dev:5301",
    sift_dev_ingest_key="your-sift-dev-ingest-key",
)
configure(config)

app = FastAPI()

# Instrument logging middleware with default options.
instrument_logging_middleware(app)

@app.get("/")
async def read_root():
    return {"message": "Hello, FastAPI world!"}

if __name__ == "__main__":
    import uvicorn
    # Run the FastAPI app on host 0.0.0.0 and port 8000.
    uvicorn.run(app, host="0.0.0.0", port=8000) 